#!/bin/bash
###
 # @Author: Alvis Zhao
 # @Date: 2020-08-17 13:42:57
 # @LastEditTime: 2020-08-17 13:44:50
 # @Description: 安装node
### 

sudo apt update

echo 'export NVM_NODEJS_ORG_MIRROR=https://npm.taobao.org/mirrors/node' >> ~/.bashrc

curl -o- https://gitee.com/mirrors/nvm/raw/v0.35.3/install.sh  | bash

nvm install 12.8.0
nvm use 12.8.0

npm config set registry https://registry.npm.taobao.org
npm config set disturl https://npm.taobao.org/dist
npm config set electron_mirror https://npm.taobao.org/mirrors/electron/
npm config set sass_binary_site https://npm.taobao.org/mirrors/node-sass/
npm config set phantomjs_cdnurl https://npm.taobao.org/mirrors/phantomjs/
npm config set chromedriver_cdnurl https://npm.taobao.org/mirrors/chromedriver
npm config set operadriver_cdnurl https://npm.taobao.org/mirrors/operadriver
npm config set selenium_cdnurl https://npm.taobao.org/mirrors/selenium

# git commit 工具
npm install -g commitizen
npm install -g cz-conventional-changelog
echo '{ "path": "cz-conventional-changelog" }' > ~/.czrc
